Class | Compass::Exec::SwitchUI
In: | lib/compass/exec/switch_ui.rb
Parent: | Object

### Methods

do_command new parse! perform! run! set_opts trim_trailing_separator

### Included Modules

GlobalOptionsParser ProjectOptionsParser

### Attributes

args | [RW] |
options | [RW] |
opts | [RW] |

### Public Class methods

new(args)

### Public Instance methods

run!()

### Protected Instance methods

do_command(command)
parse!()
perform!()
set_opts(opts)
trim_trailing_separator(path)

[Validate]